### Method

# Ggit Patch get_hunk

#### Declaration [src]

    GgitDiffHunk*
    ggit_patch_get_hunk (
      GgitPatch* patch,
      gsize idx,
      GError** error
    )

#### Description [src]

Get the `idx`‘th hunk in the patch.

#### Parameters

`idx`

  Type: `gsize`

  The hunk index.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitDiffHunk`

A new `GgitDiffHunk` or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.